Support » Plugin: Plugin Name: Device Theme Switcher » Fatal error on plug-in update

  • Resolved friarJohnMary

    (@friarjohnmary)


    device-theme-switcher plug-in, I think, caused this error: Fatal error: Call to undefined function get_called_class() in /hsphere/local/home/c270918/radiocormariae.com/wp-content/plugins/device-theme-switcher/includes/class-singleton.php on line 76.

    Can someone help? I have Updraftplus backups, but perhaps the last full one was back in Feb. 2014. I have database only every month since.

    thank you.

    — friar John

    https://wordpress.org/plugins/device-theme-switcher/

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author James Mehorter

    (@jamesmehorter)

    Hi friar John, thank you for reporting, I’ll take a look immediately, and will have a repaired version released very soon.

    In the meantime, if you would like to downgrade back to version 2.8, you can do so by replacing your directory: /wp-content/plugins/device-theme-switcher/ with this one: https://downloads.wordpress.org/plugin/device-theme-switcher.2.8.zip

    More info: Now that I am thinking about it, I could have really ‘confused’ WordPress when I upgraded WordPress (to 4.1) on another computer than the one I was logged onto previously and never logout. Both computers were desktop styles. On the same computer I upgraded to 4.1, I then began to update the plug-ins needing to be updated. Once I got to Device Theme Switcher I believe it never went back to the general listing of plug-ins (page).

    — friar John

    Any suggestion of how to get my WordPress site up and running again. I am pretty much an amateur at fixing downed websites.

    Plugin Author James Mehorter

    (@jamesmehorter)

    Hi again friar John,

    This issue has since been corrected in the newly released version 2.9.2.

    If you have not yet removed the broken plugin, please replace your directory: /wp-content/plugins/device-theme-switcher/ with this one: https://downloads.wordpress.org/plugin/device-theme-switcher.2.9.2.zip

    Thank you. Up and running again.

    Plugin Author James Mehorter

    (@jamesmehorter)

    For anyone stumbling across this thread. This issue only occurred for users with PHP < 5.3. Please update to the latest version of this plugin to correct the issue. Thanks!

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Fatal error on plug-in update’ is closed to new replies.